Index: Dev/trunk/classes/DashboardTool.php
===================================================================
--- Dev/trunk/classes/DashboardTool.php	(revision 96)
+++ Dev/trunk/classes/DashboardTool.php	(revision 97)
@@ -6,59 +6,93 @@
  * @author Frans
  */
-class DashboardTool
-{
-	private $surveys;
-        private $gamedata;
+class DashboardTool {
 
-	public function __construct($surveys, $gamedata = null)
-	{
-		$this->surveys = $surveys;
-                $this->gamedata = $gamedata;
+    private $surveys;
+    private $gamedata;
 
-		$this->init();
-	}
+    public function __construct($surveys, $gamedata = null) {
+        $this->surveys = $surveys;
+        $this->gamedata = $gamedata;
 
-	private function init()
-	{
-		foreach ($this->surveys as $survey)
-		{
-			$surveyResults = $survey->results;
-			$questionResults = $surveyResults->getQuestionResults();
-			?>
-			<div class="resultsDiv borderRadius padding1em">
-				<?php
-				foreach ($questionResults as $questionResult)
-				{
-					$this->visualizeResult($questionResult);
-				}
-				?>
-			</div>
-			<?php
-		}
-	}
+        $this->init();
+    }
 
-	private function visualizeResult($questionResult)
-	{
-		?><div class="resultDiv"><?php
-		$this->displayQuestion($questionResult);
-		$this->displayVisualization($questionResult);
-		$this->displayChangeVisualizationBar();
-		?></div><?php
-	}
-	
-	private function displayQuestion($questionResult)
-	{
-		echo "allo?";
-	}
-	
-	private function displayVisualization($questionResult)
-	{
-		
-	}
-	
-	private function displayChangeVisualizationBar()
-	{
-		
-	}
+    private function init() {
+        $this->visualizeSurvey();
+    }
+
+    private function visualizeSurvey() {
+        foreach ($this->surveys as $survey) {
+            $surveyResults = $survey->results;
+
+            /* iterate at the same time through these arrays */
+            $questions = $survey->questions;
+            $questionResults = $surveyResults->getQuestionResults();
+            ?>
+            <div class="resultsDiv borderRadius padding1em">
+                <?php
+                $i = 0;
+                while (isset($questions[$i])) {
+                    ?><div class="resultDiv"><?php        
+                    $this->displayQuestion($questions[$i]);
+                    $this->visualizeResult($questionResults[$i]);
+                    ?></div><?php
+                    
+                    $i++;
+                }
+                ?>
+            </div>
+                <?php
+            }
+        }
+
+        private function visualizeResult($questionResult) {
+            
+        $this->displayVisualization($questionResult);
+        $this->displayChangeVisualizationBar();
+            
+    }
+
+    private function displayQuestion($question) {
+        echo $question->title;
+        echo "<br />";
+        echo $question->description;
+    }
+
+    private function displayVisualization($questionResult) {
+        $type = $questionResult->getType();
+        
+        switch ($type) {
+            case 0:
+                $value = "TEXT";
+
+                break;
+            case 1:
+                $value = "INTEGER";
+                break;
+            case 2:
+                $value = "MULT. CHOICE";
+                break;
+            case 3:
+                $value = "CHECKBOXES";
+                break;
+            case 4:
+                $value = "SCALE";
+                break;
+            default:
+                break;
+        }
+        echo $value;
+        
+        foreach($questionResult->answers as $answer)
+        {
+            echo "<br />" . $answer;
+        }
+    }
+
+    private function displayChangeVisualizationBar() {
+        
+    }
+
 }
-?>
+    ?>
Index: Dev/trunk/classes/SurveyResults.php
===================================================================
--- Dev/trunk/classes/SurveyResults.php	(revision 96)
+++ Dev/trunk/classes/SurveyResults.php	(revision 97)
@@ -43,5 +43,5 @@
 {
 	private $type;
-	private $answers; // array
+	public $answers; // array
 
 	public function __construct($type, $answers)
@@ -50,4 +50,9 @@
 		$this->answers = $answers;
 	}
+        
+        public function getType()
+        {
+            return $this->type;
+        }
 }
 
Index: Dev/trunk/css/awesome.css
===================================================================
--- Dev/trunk/css/awesome.css	(revision 96)
+++ Dev/trunk/css/awesome.css	(revision 97)
@@ -84,5 +84,5 @@
 #wrapper {
     width: 80%;
-    min-width: 570px;
+    min-width: 800px;
     margin: auto;
 }
Index: Dev/trunk/doc/TODO
===================================================================
--- Dev/trunk/doc/TODO	(revision 96)
+++ Dev/trunk/doc/TODO	(revision 97)
@@ -29,5 +29,4 @@
 
 BUGS - Hoge prioriteit
-    Question title en description worden niet geupdate
     Application description wordt niet geupdate
 