Index: Dev/trunk/classes/QuestionCreationTool.php
===================================================================
--- Dev/trunk/classes/QuestionCreationTool.php	(revision 102)
+++ Dev/trunk/classes/QuestionCreationTool.php	(revision 102)
@@ -0,0 +1,63 @@
+<?php
+
+/**
+ * Tool that displays a list and an edit panel
+ *
+ * @author fpvanagthoven
+ */
+class QuestionCreationTool {
+
+    private $list;
+    private $questionEditPanel;
+
+    public function __construct() {
+        $this->displayList();
+        $this->displayEditPanel();
+    }
+
+    private function displayList() {
+        ?>
+        <div id="questionListWrapper">
+            <select id="questionsList" size="2">
+            </select>
+        </div>
+        <?php
+    }
+
+    private function displayEditPanel() {
+        ?>
+        <div class="creation">
+            <form id="questionEditForm" action="">
+                <table class="questionTable">
+                    <tr>
+                        <td><label for="questionCode">Code</label></td>
+                        <td><input id="questionCode" name="questionCode" size="5" /></td>
+                    </tr>
+                    <tr>
+                        <td><label for="questionTitle">Title</label></td>
+                        <td><input id="questionTitle" name="questionTitle" size="30" /></td>
+                    </tr>
+                    <tr>
+                        <td><label for="questionDescription">Description</label></td>
+                        <td><input id="questionDescription" name="questionDescription" size="60" /></td>
+                    </tr>
+                    <tr>
+                        <td><label for="questionType">Type answer</label></td>
+                        <td>
+                            <select name="questionType" onchange>
+                                <option value='text' selected='selected'>Text</option>
+                                <option value='int'>Integer</option>
+                                <option value='mc'>Multiple choice</option>
+                                <option value='checkboxes'>Checkboxes</option>
+                                <option value='scale'>Scale</option>
+                            </select>
+                        </td>
+                    </tr>
+                </table>
+            </form>
+        </div>
+        <?php
+    }
+
+}
+?>
Index: Dev/trunk/classes/QuestionMenu.php
===================================================================
--- Dev/trunk/classes/QuestionMenu.php	(revision 101)
+++ Dev/trunk/classes/QuestionMenu.php	(revision 102)
@@ -21,5 +21,5 @@
     public static function accessDatabaseButton() {
         ?>
-        <form id="accessDatabase" action="questions.php" method="post">
+        <form id="accessDatabase" action="questioncreation.php" method="post">
             <input type="submit" value="Access Database" class="surveyButton bigSurveyButton" />
         </form>
Index: Dev/trunk/css/awesome.css
===================================================================
--- Dev/trunk/css/awesome.css	(revision 101)
+++ Dev/trunk/css/awesome.css	(revision 102)
@@ -327,5 +327,5 @@
 
 .padding1em {
-	padding: 1em;
+    padding: 1em;
 }
 
@@ -407,10 +407,10 @@
 
 .borderRadius {
-	-moz-border-radius: 15px;
+    -moz-border-radius: 15px;
     border-radius: 15px;
 }
 
 .boxShadow {
-	-moz-box-shadow: 2px 2px 2px #888;
+    -moz-box-shadow: 2px 2px 2px #888;
     -webkit-box-shadow: 2px 2px 2px #888;
     box-shadow: 2px 2px 2px #888;
@@ -470,15 +470,32 @@
    ===================== STYLESHEET OF GLORY ======================== */
 .resultsDiv {
-	height: 10em;
-	border: 1px solid white;
+    height: 10em;
+    border: 1px solid white;
 }
 
 .resultDiv {
-	width: 10em;
-	height: 10em;
-	border: 1px solid white;
-	background-color: #c6c6c6;
-	float: left;
-	margin-left: 2em;
+    width: 10em;
+    height: 10em;
+    border: 1px solid white;
+    background-color: #c6c6c6;
+    float: left;
+    margin-left: 2em;
+}
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+#questionListWrapper {
+    text-align: center;
+    margin-bottom: 2em;
+}
+
+#questionListWrapper #questionsList {
+    width: 80%;
+    min-width: 800px;
+    height: 30em;
+}
+
+#questionEditForm {
+   
 }
 
Index: Dev/trunk/mainmenu.php
===================================================================
--- Dev/trunk/mainmenu.php	(revision 101)
+++ Dev/trunk/mainmenu.php	(revision 102)
@@ -1,4 +1,6 @@
 <?php
 require 'classes/master.php'; //should be at top of every page   
+     
+//$_SESSION['username'] = 'hai'; //temp, until bug is fixed
 
 if (isset($_POST['login'])) {
Index: Dev/trunk/questioncreation.php
===================================================================
--- Dev/trunk/questioncreation.php	(revision 102)
+++ Dev/trunk/questioncreation.php	(revision 102)
@@ -0,0 +1,27 @@
+<?php
+require 'classes/master.php';
+
+?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+            <title>Question Database</title>
+            <?php new StyleSheet(); ?>
+    </head>
+    <body>
+        <div id="header">
+            <?php new Logo(); ?>
+        </div>
+        <div id="wrapper">
+
+            <div id="content">
+                <?php
+                    new QuestionCreationTool();
+                ?>
+            </div>
+        </div>
+    </body>
+</html>
Index: Dev/trunk/questions.php
===================================================================
--- Dev/trunk/questions.php	(revision 101)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<?php
-require 'classes/master.php';
-
-?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
-    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-    <head>
-        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-            <title>Question Database</title>
-            <?php new StyleSheet(); ?>
-    </head>
-    <body>
-        <div id="header">
-            <?php new Logo(); ?>
-        </div>
-        <div id="wrapper">
-
-            <div id="content">
-                <?php
-                    
-                ?>
-            </div>
-        </div>
-    </body>
-</html>